Skip to main content
GET
List eligible corridors for a user

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user.

Pattern: ^user_[A-Za-z0-9]+$

Query Parameters

limit
integer

default to 10, maximum to 100

Required range: 1 <= x <= 100
fiatCurrency
string

Filter corridors by fiat currency, e.g. USD.

fiatCountry
string

Filter corridors by fiat country (ISO 3166-1 alpha-3).

transferType
enum<string>

Filter corridors by transfer type.

Available options:
ACH,
WIRE,
SWIFT,
RTP,
PIX,
SPEI,
CHATS,
FPS,
CIPS,
SEPA,
INSTAPAY,
PESONET,
NEQUI,
BANK
direction
enum<string>

Filter corridors by direction.

Available options:
ONRAMP,
OFFRAMP
expand
boolean
default:false

When true, returns the full corridor object for each eligible corridor instead of just its ID.

Response

A cursor-paginated list of corridor IDs (or full corridor objects, if expand=true) a user is eligible for.

Cursor-paginated list of corridors a user is eligible for. Each entry is a corridor ID unless expand=true was passed, in which case each entry is the full corridor object.

data
(string | object)[]
Example:

"crd_9aB0xY4mNpXwZ7bV1aLdt"

pagination
object